#include <iostream>
#include<bits/stdc++.h>
using namespace std;

int main(){
ios_base::sync_with_stdio(false);
cin.tie(NULL);
cout.tie(NULL);
int x1,x2,y1,y2;
cin>>x1>>y1>>x2>>y2;
if(x1==x2 || y1==y2){
    cout<<2;
}
else if(abs(x2-x1)==abs(y2-y1)){
    cout<<1;
}
else cout<<0;
}